Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Class ServiceLevelAgreements

    java.lang.Object
      org.jini.rio.core.ServiceLevelAgreements

All Implemented Interfaces:
  Serializable

    public class ServiceLevelAgreements

extends Object
implements Serializable

ServiceLevelAgreements class provides context on the attributes required to meet and monitor service level agreements for a service. Included in this class are the system requirements that must be met in order for the service to be provisioned and service level agreements declarations that will monitor service behavior and be managed by provided service level agreement manager

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ServiceLevelAgreements.SystemRequirement` Simple data structure which holds details for a system requirement

Field Summary
`static String` | `SYSTEM` Key for the maximum compute resource system utilization

Constructor Summary
`ServiceLevelAgreements()`

Method Summary
`void` | `addServiceSLA(SLA sla)` Add a service specified SLAs
`void` | `addSystemRequirement(ServiceLevelAgreements.SystemRequirement requirement)` Add a SystemRequirement as a system requirement.
`void` | `addSystemThreshold(String identifier, ThresholdValues tVals)` Add a system required ThresholdValue
`SLA[]` | `getServiceSLAs()` Get the service specified SLAs
`ServiceLevelAgreements.SystemRequirement[]` | `getSystemRequirements()` Get system requirements as an array of SystemRequirement objects
`String[]` | `getSystemThresholdIDs()` Get the system identifier keys which have ThrehsoldValues associated to them
`ThresholdValues` | `getSystemThresholdValue(String identifier)` Get the ThresholdValue associated to a system identifier
`boolean` | `hasProvisionableCapability()` Determine if any of the required PlatformCapability objects can be provisioned

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SYSTEM

    public static final String SYSTEM

  Key for the maximum compute resource system utilization

  See Also:
    Constant Field Values

Constructor Detail

### ServiceLevelAgreements

    public ServiceLevelAgreements()

Method Detail

### addSystemThreshold

    public void addSystemThreshold(String identifier,
                                   ThresholdValues tVals)

  Add a system required ThresholdValue

  Parameters:
    `identifier` - String identifier for the system property which has a ThresholdValue
    `tVals` - ThresholdValues specifying operational criteria which must be met in order for the service to be provisioned to a compute resource

### getSystemThresholdIDs

    public String[] getSystemThresholdIDs()

  Get the system identifier keys which have ThrehsoldValues associated to them

  Returns:
    Array of ThresholdValues specifying operational criteria which must be met in order for the service to be provisioned to a compute resource. If there are no system SLAs, this method will return a zero length array

### getSystemThresholdValue

    public ThresholdValues getSystemThresholdValue(String identifier)

  Get the ThresholdValue associated to a system identifier

  Parameters:
    `identifier` - The system identifier
  Returns:
    A ThresholdValues corresponding to a system identifier which specifies operational criteria which must be met in order for the service to be provisioned to a compute resource. If there is no matching ThresholdValues object for the system identifier a null will be returned

### addSystemRequirement

    public void addSystemRequirement(ServiceLevelAgreements.SystemRequirement requirement)

  Add a SystemRequirement as a system requirement.

  Parameters:
    `requirement` - A SystemRequirement object representing a system component requirement

### getSystemRequirements

    public ServiceLevelAgreements.SystemRequirement[] getSystemRequirements()

  Get system requirements as an array of SystemRequirement objects

  Returns:
    An array of SystemRequirement objects representing system component requirements. A new array will be allocated each time. If there are no system requirements, a zero length array will be returned

### hasProvisionableCapability

    public boolean hasProvisionableCapability()

  Determine if any of the required PlatformCapability objects can be provisioned

  Returns:
    Return true if at least one PlatformCapability can be provisioned

### addServiceSLA

    public void addServiceSLA(SLA sla)

  Add a service specified SLAs

  Parameters:
    `sla` - An SLA specifying service specific operational criteria

### getServiceSLAs

    public SLA[] getServiceSLAs()

  Get the service specified SLAs

  Returns:
    Array of service SLAs. A new array is aloocated each time. If there are no service SLAs, a zero-length array is returned

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.